Package com.xebialabs.xlrelease.events

# Class PhaseCompleteOperation

java.lang.Object
com.xebialabs.xlrelease.events.PhaseCompleteOperation

All Implemented Interfaces:
  `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class PhaseCompleteOperation extends Object implements XLReleaseOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhaseCompleteOperation(Phase phase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhaseCompletingAction`
  `action()`
  `static PhaseCompleteOperation`
  `apply(Phase phase)`
  `boolean`
  `canEqual(Object x$1)`
  `PhaseCompleteOperation`
  `copy(Phase phase)`
  `Phase`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `PhaseCompletedEvent`
  `event()`
  `int`
  `hashCode()`
  `Phase`
  `phase()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<Phase>`
  `unapply(PhaseCompleteOperation x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### PhaseCompleteOperation

    public PhaseCompleteOperation(Phase phase)

- ## Method Details

  - ### apply

    public static PhaseCompleteOperation apply(Phase phase)

  - ### unapply

    public static scala.Option<Phase> unapply(PhaseCompleteOperation x$0)

  - ### phase

    public Phase phase()

  - ### action

    public PhaseCompletingAction action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public PhaseCompletedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public PhaseCompleteOperation copy(Phase phase)

  - ### copy$default$1

    public Phase copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`